## org.firebirdsql.pool
Class BlockingStack.Node

    java.lang.Object
      org.firebirdsql.pool.BlockingStack.Node

Enclosing class:
  BlockingStack

    protected class BlockingStack.Node

extends Object

Container class for objects in the stack.

Constructor Summary
`BlockingStack.Node()` Creates a node with null object and null next node.
`BlockingStack.Node(Object object)` Creates a node with the specified object and null next node.
`BlockingStack.Node(Object object, BlockingStack.Node next)` Creates a Node with the specific object and next node.

Method Summary
`BlockingStack.Node` `getNext()`
`Object` `getObject()`
`void` `setNext(BlockingStack.Node next)`
`void` `setObject(Object object)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlockingStack.Node

    public BlockingStack.Node()

  Creates a node with null object and null next node.

### BlockingStack.Node

    public BlockingStack.Node(Object object)

  Creates a node with the specified object and null next node.

  Parameters:
    `object` -

### BlockingStack.Node

    public BlockingStack.Node(Object object,
                              BlockingStack.Node next)

  Creates a Node with the specific object and next node.

  Parameters:
    `object` -
    `next` -

Method Detail

### getNext

    public BlockingStack.Node getNext()

  Returns:
    Returns the next.

### getObject

    public Object getObject()

  Returns:
    Returns the object.

### setNext

    public void setNext(BlockingStack.Node next)

  Parameters:
    `next` - The next to set.

### setObject

    public void setObject(Object object)

  Parameters:
    `object` - The object to set.

Copyright © 2001-2010. All Rights Reserved.